GCLOUD_CONTAINER_CLUSTERS_UPGRADE(1)

NAME

gcloud container clusters upgrade - upgrade the Kubernetes version of an existing container cluster

SYNOPSIS

gcloud container clusters upgrade NAME [--cluster-version CLUSTER_VERSION] [--wait] [--zone ZONE, -z ZONE] [GLOBAL-FLAG ...]

DESCRIPTION
Upgrades the Kubernetes version of an existing container cluster. This command upgrades the Kubernetes version of the nodes of a cluster. The Kubernetes version of the cluster's master is periodically upgraded automatically as new releases are available. By running this command, all of the cluster's nodes will be deleted and recreated one at a time. While persistent Kubernetes resources, such as pods backed by replication controllers, will be rescheduled onto new nodes, a small cluster may experience a few minutes where there are insufficient nodes available to run all of the scheduled Kubernetes resources. Please ensure that any data you wish to keep is stored on a persistent disk before upgrading the cluster. Ephemeral Kubernetes resources--in particular, pods without replication controllers--will be lost, while persistent Kubernetes resources will get rescheduled.

POSITIONAL ARGUMENTS
NAME
    The name of the cluster to upgrade.

FLAGS
--cluster-version CLUSTER_VERSION
    The Kubernetes release version to which to upgrade the cluster's nodes. Omit to upgrade the nodes to the version the cluster's Kubernetes master is running. If provided, the --cluster-version must be no greater than the cluster master's minor version (x.X.x), and must be a latest patch version (x.x.X). You can find the current master version by running
        $ gcloud container clusters describe <cluster> | grep MasterVersion
    You can find the list of allowed node versions for upgrades by running
        $ gcloud container get-server-config
    and looking at the returned "validNodeVersions".
--wait
    Poll the operation for completion after issuing an upgrade request. Enabled by default, use --no-wait to disable.
--zone ZONE, -z ZONE
    The compute zone (e.g. us-central1-a) for the cluster

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
Upgrade the nodes of <cluster> to the Kubernetes version of the cluster's master.
    $ gcloud container clusters upgrade <cluster>
Upgrade the nodes of <cluster> to Kubernetes version x.y.z.
    $ gcloud container clusters upgrade <cluster> \
        --cluster-version "x.y.z"